<?php
namespace lithium\template\view\adapter;

use \Exception;
use \lithium\core\Libraries;

class Smarty extends \lithium\template\view\Renderer
{
  protected $_smarty;
  protected $_classes = array();

  public function __construct($config = array())
  {
    require_once LITHIUM_LIBRARY_PATH . '/smarty/Smarty.class.php';

    $this->_smarty = new \Smarty();
    $this->_smarty->compile_dir = LITHIUM_APP_PATH . '/resources/tmp/';
    $defaults = array('classes' => array());
    parent::__construct($config + $defaults);
  }

  public function render($template, $data = array(), $context = array(), $options = array())
  {
    $this->_smarty->template_dir = dirname($template);
    $this->_smarty->assign($data);
    $this->_smarty->assign_by_ref('helper', $this);
    return $this->_smarty->fetch(basename($template));
  }
}
?>
